<script lang="ts">
export default {
    data(): any {
        return {
            factures: [],
            loading: true
        }
    },
    async mounted() {
        this.getFactures();
    },
    methods: {
        async getFactures() {
            const response = await fetch('http://localhost:8000/api/factures', {
                method: 'GET',
                headers: {
                    'Content-Type': 'application/json',
                }
            });
            const responseData = await response.json();
            this.factures = responseData['hydra:member'];
            this.loading = false;
        }
    }
}
</script>

<template>
    <v-card elevation="10" class="">
        <v-card-item class="py-2 px-4">
            <v-card-title class="text-h5 pt-sm-2 pb-7">Dernières factures</v-card-title>
            <v-table class="month-table">
                <thead>
                    <tr>
                        <th class="text-subtitle-1 font-weight-bold">Id</th>
                        <th class="text-subtitle-1 font-weight-bold">Id devis</th>
                        <th class="text-subtitle-1 font-weight-bold">Date création</th>
                        <th class="text-subtitle-1 font-weight-bold">Paiement</th>
                    </tr>
                </thead>
                <tbody v-if="!loading">
                    <tr v-for="item in factures" :key="item.id" class="month-item">
                        <td>
                            <p class="text-15 font-weight-medium">{{ item.id }}</p>
                        </td>
                        <td>
                            <p class="text-15 font-weight-medium">{{ item.devis }}</p>
                        </td>
                        <td>
                            <div class="">
                                <h6 class="text-subtitle-1 font-weight-bold">{{ item.date_creation }}</h6>
                            </div>
                        </td>
                        <td>
                            <v-chip  :class="'text-body-1 bg-' + (item.paiement_ok == 1 ? 'success' : 'error') " color="white"  size="small" >{{
                                (item.paiement_ok == 1 ? 'OK' : 'Non OK')
                            }}</v-chip>
                        </td>
                    </tr>
                </tbody>
            </v-table>
            <div class="container-loader">
                <div v-if="loading" class="loader"></div>
            </div>
        </v-card-item>
    </v-card>
</template>

<style scoped>
    .novisible {
        visibility: hidden;
    }
    .container-loader{
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
    }
    .loader {
        position: relative;
        width: 50px;
        height: 50px;
        border: 3px solid rgb(255,111,0);
        border-radius: 50%;
        border-top-color: transparent;
        animation: spin 1s linear infinite;
        margin: auto auto;
    }
    @keyframes spin {
        0% { transform: rotate(0deg); }
        100% { transform: rotate(360deg); }
    }
</style>